#!/usr/bin/env bash

set -euo pipefail

echo "Updating package lists..."

pacman -Qqe > packages.txt
pacman -Qqem > aur-packages.txt
pacman -Qe > installed-packages-full.txt

echo "Updating configs..."

rm -rf configs

mkdir configs

cp -r ~/.config/omarchy configs/
cp -r ~/.config/hypr configs/
cp -r ~/.config/waybar configs/
cp -r ~/.config/walker configs/
cp -r ~/.config/ghostty configs/
cp -r ~/.config/kitty configs/
cp -r ~/.config/mako configs/
cp -r ~/.config/nvim configs/
cp -r ~/.config/fastfetch configs/

cp ~/.config/starship.toml configs/
cp ~/.config/mimeapps.list configs/

echo "Updating services..."

systemctl --user list-unit-files --state=enabled > system/user-services.txt

sudo systemctl list-unit-files --state=enabled > system/system-services.txt

echo
echo "Done!"
echo
echo "Review changes:"
echo "git diff"
